# MPI_File_write_all_begin

Begin a split collective write using individual file pointer

## Synopsis

    int MPI_File_write_all_begin(MPI_File mpi_fh, void *buf, int count,
                               MPI_Datatype datatype)

## Input Parameters

fh
  file handle (handle)

buf
  initial address of buffer (choice)

count
  number of elements in buffer (nonnegative integer)

datatype
  datatype of each buffer element (handle)

Location:write_allb.c